System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags

The values are used by the State property of the and objects.

The values in this enumeration are not designed to be used as a set of flags.

Describes the current state of the connection to a data source.

- Field
  System.Data.ConnectionState To be added

  The connection to the data source is broken. This can occur only after the connection has been opened. A connection in this state may be closed and then re-opened. (This value is reserved for future versions of the product.)

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.ConnectionState To be added

  The connection is closed.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.ConnectionState To be added

  The connection object is connecting to the data source.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.ConnectionState To be added

  The connection object is executing a command. (This value is reserved for future versions of the product.)

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.ConnectionState To be added

  The connection object is retrieving data. (This value is reserved for future versions of the product.)

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.ConnectionState To be added

  The connection is open.

  1.0.5000.0
  2.0.0.0